#ifndef _TORQUE_LUT_H__
#define _TORQUE_LUT_H__
#include "os/os_types.h"
#include "foc/core/PMSM_FOC_Core.h"
typedef struct {
	float thro_prev;
	float speed_prev;
	float torque_prev;
	float torque_base;
	bool  accl;
	float thro_value; //油门开度百分比
	float spd_ref;
	u32   count;
}torque_manager_t;
void torque_init(void);
void torque_reset(void);
void torque_get_idq(float torque, float rpm, DQ_t *dq_out);
void throttle_process(u8 run_mode, float f_throttle);

#endif /*_TORQUE_LUT_H__ */

